(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      5540,        141]
NotebookOptionsPosition[      5182,        125]
NotebookOutlinePosition[      5524,        140]
CellTagsIndexPosition[      5481,        137]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
    "SetDirectory", "[", 
     "\"\</home/walter/Escritorio/WalterLibros/2018_Algebra_Lineal/AVCDF/\>\"\
", "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.710027795000517*^9, 3.7100277965866413`*^9}, 
   3.7104503948976088`*^9, {3.721043246330049*^9, 3.721043252362137*^9}, {
   3.721043290809353*^9, 3.721043291393208*^9}, 3.721043914381208*^9, 
   3.721044384457526*^9, 3.7210446077039347`*^9, 3.7220320318488894`*^9, {
   3.725881209702681*^9, 3.725881222373754*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"listanb", "=", 
   RowBox[{"FileNames", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listanb", "=", 
   RowBox[{"listanb", "[", 
    RowBox[{"[", 
     RowBox[{"2", ";;", 
      RowBox[{"Length", "[", "listanb", "]"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listanb", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
     "\"\</home/walter/Escritorio/WalterLibros/2018_Algebra_Lineal/AVCDF/\>\"\
", "<>", 
      RowBox[{"listanb", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "listanb", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listacdf", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"StringReplace", "[", " ", 
      RowBox[{
       RowBox[{"listanb", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", "  ", 
       RowBox[{"\"\<.nb\>\"", " ", "\[Rule]", " ", "\"\<.cdf\>\""}]}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "listanb", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7104504393545103`*^9, 3.710450439948532*^9}, {
   3.710450481668026*^9, 3.7104504816883698`*^9}, 3.710450572092854*^9, {
   3.7104506033427963`*^9, 3.710450624779257*^9}, 3.710450663422256*^9, {
   3.710494203820272*^9, 3.7104942085709877`*^9}, {3.710494307001465*^9, 
   3.710494352829102*^9}, {3.721043265946685*^9, 3.721043276632321*^9}, {
   3.721043370683083*^9, 3.721043398391313*^9}, {3.721043806314052*^9, 
   3.721043892156905*^9}, {3.7210439302140636`*^9, 3.721043931996735*^9}, 
   3.721043986492453*^9, 3.721044084596015*^9, {3.721044545088801*^9, 
   3.72104464095969*^9}, {3.722032031857315*^9, 3.722032042541954*^9}, 
   3.7258812328817*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{"CDFDeploy", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"listacdf", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
      RowBox[{"listanb", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"WindowSize", "\[Rule]", 
       RowBox[{"WindowSize", "->", 
        RowBox[{"{", 
         RowBox[{"1150", ",", "1000"}], "}"}]}]}], ",", 
      RowBox[{"Deployed", "\[Rule]", "True"}], ",", "  ", 
      RowBox[{"Method", "\[Rule]", "\"\<Standalone\>\""}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", 
      RowBox[{"Length", "@", "listacdf"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7089896853654213`*^9, 3.7089896886992693`*^9}, 
   3.7089898376125937`*^9, {3.708990097144877*^9, 3.7089901468840523`*^9}, {
   3.708990285925906*^9, 3.708990310569419*^9}, {3.708990377591258*^9, 
   3.708990378597509*^9}, {3.708990521479086*^9, 3.70899055770082*^9}, {
   3.708990855764908*^9, 3.708990856435272*^9}, {3.7100279051947813`*^9, 
   3.710027905198987*^9}, {3.710028409274332*^9, 3.710028450042006*^9}, {
   3.721855177551957*^9, 3.721855185899022*^9}, {3.721855228236487*^9, 
   3.721855235132419*^9}, 3.721855337379025*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7089896853654213`*^9, 3.7089896886992693`*^9}, 
   3.7089898376125937`*^9, {3.708990097144877*^9, 3.7089901468840523`*^9}, {
   3.708990285925906*^9, 3.708990310569419*^9}, {3.708990377591258*^9, 
   3.708990378597509*^9}, {3.708990521479086*^9, 3.70899055770082*^9}, {
   3.708990855764908*^9, 3.708990856435272*^9}, {3.7100247735799503`*^9, 
   3.710024776956036*^9}, {3.710024869149032*^9, 3.710024961564527*^9}, {
   3.710025099772019*^9, 3.7100251340587883`*^9}, {3.7100253371777563`*^9, 
   3.7100253608732777`*^9}, {3.710025554984182*^9, 3.7100256128723793`*^9}, {
   3.710025936202815*^9, 3.71002594677461*^9}, {3.710026363668894*^9, 
   3.7100263751723757`*^9}, {3.710026842451388*^9, 3.71002687069053*^9}, 
   3.710450658123529*^9}]
},
WindowSize->{1375, 911},
WindowMargins->{{288, Automatic}, {-60, Automatic}},
FrontEndVersion->"11.0 for Linux x86 (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 602, 12, 100, "Input"],
Cell[1163, 34, 1892, 47, 125, "Input"],
Cell[3058, 83, 1326, 27, 181, "Input"],
Cell[4387, 112, 791, 11, 32, "Input"]
}
]
*)

